Logic Pro 9 on G4 MDD!

Discussion in 'PowerPC Macs' started by uller6, Sep 4, 2012.

  1. macrumors member

    uller6

    Joined:
    May 14, 2010
    Location:
    College Park, MD
    #1
    Hey everyone,

    The official specs for Logic Pro 9 require an INTEL based mac. That's funny - I successfully installed logic pro 9.0.0 on my MDD G4 (dual 1.25 FW 800), and it runs fine. I can get about 20 tracks simultaneously before the CPU overloads, which is much better than I was expecting. The G4 is actually significantly better with audio (by that I mean fewer overloads) than my old 2.4 C2D macbook pro, which goes to show how these old PPC CPUs are still pretty darn awesome.
     

    Attached Files:

  2. macrumors newbie

    Joined:
    Sep 5, 2012
  3. macrumors regular

    estrides

    Joined:
    Apr 8, 2012
    Location:
    New York
  4. thread starter macrumors member

    uller6

    Joined:
    May 14, 2010
    Location:
    College Park, MD
    #4
    I bet this would scream on a G5. Mine died two days ago, so I'm back to the G4.

    One thing to mention: it seems ppc support was pulled as of the first logic 9 update. I can't get anything past 9.0.0 to run on the G4.
     
  5. macrumors 604

    Jessica Lares

    Joined:
    Oct 31, 2009
    Location:
    Near Dallas, Texas, USA
    #5
    Good to know! Even more stuff to slap on my Power Mac G5.
     
  6. macrumors 6502a

    Zeke D

    Joined:
    Nov 18, 2011
    Location:
    Arizona
    #6
    I'm still using Logic Pro 8.0.2. Any major improvements with version9?
     
  7. macrumors 6502a

    mayuka

    Joined:
    Feb 15, 2009
    #7
    I have installed Logic. It won't update but runs fine. Version is 9.0.0. Soundtrack Pro also runs on G4, but it's still version 2.0.2 and crashes occasionally.
     
  8. macrumors 68020

    Joined:
    Apr 10, 2011
    #8
    Nice, thanks for the news! :)

    I wish I could get Photoshop CS5 on my G5. :(
     

Share This Page